SSO (single sign-on) is being reconfigured. Maintenance started Jul 16 2:20PM UTC and will last 1 hour. Password-enabled login should still work.
Bug 1449633 - Please package libFuzzer
Summary: Please package libFuzzer
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: compiler-rt
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom Stellard
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-10 11:44 UTC by Andreas Schneider
Modified: 2017-11-11 02:47 UTC (History)
10 users (show)

Fixed In Version: compiler-rt-4.0.1-5.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-11 02:47:35 UTC
Type: Bug


Attachments (Terms of Use)

Description Andreas Schneider 2017-05-10 11:44:59 UTC
Description of problem:
The package in Fedora doesn't provide libFuzzer [1]. Please package it!

I think something like the following lines are needed in the spec file.

pushd lib/Fuzzer
./build.sh
install -m0644 libFuzzer.a %{buildroot}%{_libdir}
popd

Thanks!

[1] http://libfuzzer.info/

Comment 1 Tom Stellard 2017-09-12 04:35:13 UTC
I think it will make more sense to package this as part of compiler-rt.  It depends on compiler-rt and the source will be part of compiler-rt in 6.0.0.

Comment 2 Tom Stellard 2017-09-12 04:44:03 UTC
Also, can you give me a simple example for how to use libFuzzer, so I can verify it is installed correctly.

Comment 3 Andreas Schneider 2017-09-12 09:16:09 UTC
GnuTLS has ./configure --enable-fuzzer-target

https://github.com/google/oss-fuzz/blob/master/projects/gnutls/build.sh

Comment 4 Fedora Update System 2017-09-13 16:59:02 UTC
compiler-rt-4.0.1-5.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-44f8591be5

Comment 5 Fedora Update System 2017-09-13 19:24:10 UTC
compiler-rt-4.0.1-5.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-44f8591be5

Comment 6 Fedora Update System 2017-09-26 03:56:01 UTC
compiler-rt-4.0.1-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-6eab3356d1

Comment 7 Fedora Update System 2017-09-27 07:10:08 UTC
compiler-rt-4.0.1-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-6eab3356d1

Comment 8 Fedora Update System 2017-11-11 02:47:35 UTC
compiler-rt-4.0.1-5.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.